/experimental/retail-media/line-items/demand-search
curl --request POST \
--url https://api.criteo.com/experimental/retail-media/line-items/demand-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"accountIds": [
"<string>"
],
"campaignIds": [
"<string>"
],
"includeChildrenAccounts": true,
"limit": 123,
"lineItemIds": [
"<string>"
],
"offset": 123
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/experimental/retail-media/line-items/demand-search"
payload = { "data": {
"attributes": {
"accountIds": ["<string>"],
"campaignIds": ["<string>"],
"includeChildrenAccounts": True,
"limit": 123,
"lineItemIds": ["<string>"],
"offset": 123
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
accountIds: ['<string>'],
campaignIds: ['<string>'],
includeChildrenAccounts: true,
limit: 123,
lineItemIds: ['<string>'],
offset: 123
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/experimental/retail-media/line-items/demand-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"accountId": "<string>",
"campaignId": "<string>",
"commerceDisplay": {
"auction": {
"isDynamicMatch": true
}
},
"conquestingSettings": {
"conquestingAdStrategyEnabled": true,
"defensiveAdStrategyEnabled": true,
"isAdStrategyLocked": true,
"neutralAdStrategyEnabled": true
},
"flightDates": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
},
"lineItemId": "<string>",
"name": "<string>",
"retailerId": "<string>",
"serveToOptOutUser": true,
"sponsoredProducts": {
"auction": {
"allInventory": true
}
}
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"metadata": {
"count": 123,
"limit": 123,
"offset": 123
},
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/experimental/retail-media/line-items/demand-search
Search line items accessible from demand accounts.
POST
/
experimental
/
retail-media
/
line-items
/
demand-search
/experimental/retail-media/line-items/demand-search
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Search criteria and pagination.
A top-level object that encapsulates a Criteo API request for a single value object.
A value resource exposed by the API.
Show child attributes
Show child attributes
Response
200 - application/json
Success
A top-level object that encapsulates a Criteo API response for several entities and metadata.
Show child attributes
Show child attributes
Errors that occured during this call.
Show child attributes
Show child attributes
Pagination of a Line Item search result
Show child attributes
Show child attributes
Warnings that occured during this call.
Show child attributes
Show child attributes
Was this page helpful?
⌘I